#ifndef __OOL_XRECT_H__
#define __OOL_XRECT_H__

/*===========================================================================*/
/* OOL ------------------- the Open Object Library ------ OS/2 version 0.01a */
/*===========================================================================*/
/*                              class: XRect                                 */
/*                       derived from: XObject                               */
/*                        last update: 4/96                                  */
/*                      programmed by: Stefan von Brauk                      */
/*===========================================================================*/



#include "xobject.h"


class _export_ XRect: public XObject
{
    friend class XControl;
    friend class XFrameWindow;
    friend class XWindow;
    friend class XText;
  private:
    LONG x,y,cx,cy;
  public:
    XRect( long wight, long hight);
    XRect( long x1 = 0, long y1 = 0, long x_2 = 0, long y_2 = 0);
    virtual ~XRect() {;}
    long GetHight( void ) { return cy;}
    long GetWight( void ) { return cx;}
    long GetX(void) { return x; }
    long GetY(void) { return y; }
    void SetX( LONG x_1) { x = x_1;}
    void SetY( LONG y_1) { y = y_1;}
    void SetWight( LONG w ) { cx = w;}
    void SetHight( LONG h)  { cy = h;}
};



#endif
